IM=imread('luna.jpg');
subplot(2,2,1);
imshow(IM);
size(IM)
pause;

subplot(2,2,2);
imshow(IM(:,:,1));
pause;
subplot(2,2,3);
imshow(IM(:,:,2));
pause;
subplot(2,2,4);
imshow(IM(:,:,3));
pause;
subplot(2,1,1);
imR=IM(:,:,1);
pause;


imshow(imR,gray);

[IM2, map2]=imapprox(imR,gray,16);
subplot(2,1,2);
imshow(IM2,map2);






